Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(34)

Unified Diff: platform_tools/android/bin/android_setup.sh

Issue 1930423002: Require Android SDK copy of CMake to build Vulkan on Android. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « DEPS ('k') | tools/build_shaderc.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_setup.sh
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh
index 503ee023e724651857aac811c9dfc1d933d0bc2b..f242bfa51bd8be50639013a256df010f504ce191 100755
--- a/platform_tools/android/bin/android_setup.sh
+++ b/platform_tools/android/bin/android_setup.sh
@@ -52,10 +52,6 @@ if [ "$USE_CLANG" == "true" ]; then
export GYP_DEFINES="skia_clang_build=1 $GYP_DEFINES"
fi
-if [ "$SKIA_VULKAN" == "true" ]; then
- export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES"
-fi
-
function verbose {
if [[ -n $VERBOSE ]]; then
echo $@
@@ -89,6 +85,17 @@ if [ -z "$ANDROID_HOME" ]; then
exportVar ANDROID_HOME $ANDROID_SDK_ROOT
fi
+if [ "$SKIA_VULKAN" == "true" ]; then
+ export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES"
+ # add cmake from the SDK to your path if it doesn't exist
+ if [ ! -d "${ANDROID_SDK_ROOT}/cmake" ]; then
+ echo "The Android SDK Tools version of CMake is required to build Vulkan. ${ANDROID_SDK_ROOT}/cmake"
+ exit 1
+ else
+ export PATH=${ANDROID_SDK_ROOT}/cmake/bin:$PATH
+ fi
+fi
+
# Helper function to configure the GYP defines to the appropriate values
# based on the target device.
setup_device() {
« no previous file with comments | « DEPS ('k') | tools/build_shaderc.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698